View Issue Details

IDProjectCategoryView StatusLast Update
0004980Talerexchange API (HTTP specification)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004980: redundancy in coin/reserve history replies
DescriptionThe "details" field in the CoinSpendHistoryItem and the "details" field in the TransactionHistoryItem include redundant information. This wastes a bit of bandwidth and requires additional checks (to see if the information matches) on the client side. We should probably just unpack those structs.
TagsNo tags attached.

Activities

Christian Grothoff

2017-04-18 21:06

manager   ~0012046

Implemented in 164c125..5e8ef38.
Spec update in 9fea925..7d22fe9

Issue History

Date Modified Username Field Change
2017-04-03 22:30 Christian Grothoff New Issue
2017-04-03 22:30 Christian Grothoff Status new => assigned
2017-04-03 22:30 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:12 Christian Grothoff Target Version => 0.5
2017-04-18 21:06 Christian Grothoff Status assigned => resolved
2017-04-18 21:06 Christian Grothoff Resolution open => fixed
2017-04-18 21:06 Christian Grothoff Fixed in Version => 0.3
2017-04-18 21:06 Christian Grothoff Note Added: 0012046
2017-04-18 21:06 Christian Grothoff Target Version 0.5 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed